make_full_citation_graph {igraph} | R Documentation

## Create a complete (full) citation graph

### Description

`make_full_citation_graph` creates a full citation graph. This is a directed graph, where every `i->j` edge is present if and only if j<i. If `directed=FALSE` then the graph is just a full graph.

### Usage

    make_full_citation_graph(n, directed = TRUE)

    full_citation_graph(...)

### Arguments

`n` | The number of vertices.
`directed` | Whether to create a directed graph.
`...` | Passed to `make_full_citation_graph`.

### Value

An igraph graph.

### See Also

Other determimistic constructors: `graph_from_atlas`, `graph_from_edgelist`, `graph_from_literal`, `make_chordal_ring`, `make_empty_graph`, `make_full_graph`, `make_graph`, `make_lattice`, `make_ring`, `make_star`, `make_tree`

### Examples

    print_all(make_full_citation_graph(10))

[Package igraph version 1.1.2 Index]